---
title: "Email doc group copy"
url: "https://docs.signnow.com/docs/doc-group-field-invite/operations/post-v2-document-groups-id-send-email"
type: "endpoint"
section: "doc-group-field-invite"
slug: "doc-group-field-invite/operations/post-v2-document-groups-id-send-email"
method: "POST"
path: "/v2/document-groups/{document_group_id}/send-email"
operation_id: "post-v2-document-groups-id-send-email"
authorization: "bearer"
---

# Email doc group copy

`POST /v2/document-groups/{document_group_id}/send-email`

Sends an email with a document group. A receiver can view or download the documents. A document group can be sent by either an owner, signer, or viewer of the document group.

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `document_group_id` | string | Yes | ID of the document group. |

## Request Body

**Schema**

```json
{
  "type": "object",
  "required": [
    "to",
    "with_history",
    "client_timestamp"
  ],
  "properties": {
    "to": {
      "type": "array",
      "items": {
        "type": "object",
        "required": [
          "email"
        ],
        "properties": {
          "email": {
            "type": "string",
            "x-stoplight": {
              "id": "1z69qqswvphys"
            }
          }
        },
        "x-stoplight": {
          "id": "ir6umz5zp6v9l"
        }
      },
      "x-stoplight": {
        "id": "qqa5xtlcjptve"
      }
    },
    "with_history": {
      "type": "boolean",
      "x-stoplight": {
        "id": "4isrk0z57mbvy"
      }
    },
    "client_timestamp": {
      "type": "integer",
      "x-stoplight": {
        "id": "rdad4u2majdyk"
      }
    }
  }
}
```

## Responses

### 204

Success (Success, no content)

### 400

* Incorrect payload
* Incorrect X-Skip-Rules header
* Permission error
* Email limit exceeded
* Credit card is associated with a document
* File size limit exceeded (10 MB)
* Payload validation error:
  * `to` must be an array
  * `to` must not be null
  * `to` must include one element
  * `with_history` must be a boolean
  * `with_history` must not be null
  * `email` must be a string
  * `email` must not be null
  * `email` must be a valid email address
  * `client_timestamp` must be an integer
  * `client_timestamp` must not be null
  * `client_timestamp` value must be between 0 and 4294967295

**Example** (`File is too big`)

```json
{
  "errors": [
    {
      "code": 19062001,
      "message": "Attachment size exceeded 10 Megabyte."
    }
  ]
}
```

**Example** (`Permission error`)

```json
{
  "errors": [
    {
      "code": 19061001,
      "message": "Insufficient rights to send the document group via email."
    }
  ]
}
```

**Example** (`Incorrect payload`)

```json
{
  "errors": [
    {
      "code": 19001000,
      "message": "Invalid payload"
    }
  ]
}
```

**Example** (`Email limit exceeded`)

```json
{
  "errors": [
    {
      "code": 19053003,
      "message": "Exceeded daily email limit."
    }
  ]
}
```

**Example** (``to` must be an array`)

```json
{
  "errors": [
    {
      "code": 19060001,
      "message": "'The `to` value should be of type array."
    }
  ]
}
```

**Example** (``to` must not be null`)

```json
{
  "errors": [
    {
      "code": 19060002,
      "message": "The `to` value should not be null."
    }
  ]
}
```

**Example** (``email` must be a string`)

```json
{
  "errors": [
    {
      "code": 19060007,
      "message": "The `to` element `email` value should be of type string."
    }
  ]
}
```

**Example** (``email` must not be null`)

```json
{
  "errors": [
    {
      "code": 19060008,
      "message": "The `to` element `email` value should not be null."
    }
  ]
}
```

**Example** (`Credit card on a document`)

```json
{
  "errors": [
    {
      "code": 19061002,
      "message": "It is not allowed to send the document group via email."
    }
  ]
}
```

**Example** (`Incorrect X-Skip-Rules header`)

```json
{
  "errors": [
    {
      "code": 19001057,
      "message": "Bad header `%s` value."
    }
  ]
}
```

**Example** (``to` must include one element`)

```json
{
  "errors": [
    {
      "code": 19060003,
      "message": "The `to` value should contain exactly 1 elements."
    }
  ]
}
```

**Example** (``with_history` must not be null`)

```json
{
  "errors": [
    {
      "code": 19060006,
      "message": "The `with_history` value should not be null."
    }
  ]
}
```

**Example** (``with_history` must be a boolean`)

```json
{
  "errors": [
    {
      "code": 19060005,
      "message": "The `with_history` value should be of type bool."
    }
  ]
}
```

**Example** (``client_timestamp` must not be null`)

```json
{
  "errors": [
    {
      "code": 19060011,
      "message": "'The client_timestamp value should not be null."
    }
  ]
}
```

**Example** (``client_timestamp` must be an integer`)

```json
{
  "errors": [
    {
      "code": 19060010,
      "message": "The client_timestamp value should be of type int."
    }
  ]
}
```

**Example** (``email` must be a valid email address`)

```json
{
  "errors": [
    {
      "code": 19060009,
      "message": "The `to` element `email` value is not a valid email address."
    }
  ]
}
```

**Example** (``client_timestamp` value must be between 0 and 4294967295`)

```json
{
  "errors": [
    {
      "code": 19060012,
      "message": "'The client_timestamp value should be between 0 and 4294967295."
    }
  ]
}
```

### 403

Unverified user email

**Example** (`User not verified`)

```json
{
  "errors": [
    {
      "code": 19001050,
      "message": "User is not verified."
    }
  ]
}
```

### 404

Document group not found

**Example** (`Document group not found`)

```json
{
  "errors": [
    {
      "code": 19002010,
      "message": "Document group `0000000000000000000000000000000000000000` not found."
    }
  ]
}
```

### 500

Something went wrong during downloading attachments or sending emails.

**Example** (`Could not send email`)

```json
{
  "errors": [
    {
      "code": 19062004,
      "message": "Something went wrong during send email."
    }
  ]
}
```

**Example** (`Could not download attachments`)

```json
{
  "errors": [
    {
      "code": 19062002,
      "message": "Something went wrong during download attachments."
    }
  ]
}
```

**Example** (`Could not download attachments 2`)

```json
{
  "errors": [
    {
      "code": 19062003,
      "message": "Something went wrong during download attachments."
    }
  ]
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X POST \
  "https://api.signnow.com/v2/document-groups/{document_group_id}/send-email" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN" \
  -H "Content-Type: application/json"
```

---
*Full reference: https://docs.signnow.com/docs/doc-group-field-invite/operations/post-v2-document-groups-id-send-email*
